FROM nginx:alpine3.21
COPY ./content /usr/share/nginx/html
RUN cd /usr/share/nginx/html && ./snippet-indexer.sh

# ------------
# prepare for rootless operations
RUN \
  chown -R nobody:nobody /var/cache/nginx /var/log/nginx && \
  sed -i 's/listen\s\+80;/listen 8080;/' /etc/nginx/conf.d/default.conf && \
  sed -i 's/index  index.html index.htm;/index   mdwiki.html;/' /etc/nginx/conf.d/default.conf && \
  sed -i 's,pid\s\+/var/run/nginx.pid;,pid /tmp/nginx.pid;,' /etc/nginx/nginx.conf
USER nobody
# ------------
EXPOSE 8080





